package org.diplomaUPV.app.rest.entity;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "evento")
public class Evento implements Serializable {


	private static final long serialVersionUID = 1L;
	private Long id;
	private String titulo;
	private Long idDisciplina;
	private Long idModalidad;
	private String localidad;
	private Long idComunidadAutonoma;
	private String localidadGmaps;
	private String urlEvento;
	private Date fecha;
	private String infoExtra;
	private Date fechaCreacion;
	private String urlCartel;
	private Long puntuacionPositiva;
	private Long puntuacionNegativa; 
	
	
	public Evento(){}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Evento withId(Long id) {
		this.id = id;
		return this;
	}
	
	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public Evento withTitulo(String titulo) {
		this.titulo = titulo;
		return this;
	}
	
	public Long getIdDisciplina() {
		return idDisciplina;
	}

	public void setIdDisciplina(Long idDisciplina) {
		this.idDisciplina = idDisciplina;
	}

	public Evento withIdDisciplina(Long idDisciplina) {
		this.idDisciplina = idDisciplina;
		return this;
	}
	
	public Long getIdModalidad() {
		return idModalidad;
	}

	public void setIdModalidad(Long idModalidad) {
		this.idModalidad = idModalidad;
	}

	public Evento withIdModalidad(Long idModalidad) {
		this.idModalidad = idModalidad;
		return this;
	}
	
	public Long getIdComunidadAutonoma() {
		return idComunidadAutonoma;
	}

	public void setIdComunidadAutonoma(Long idComunidadAutonoma) {
		this.idComunidadAutonoma = idComunidadAutonoma;
	}

	public Evento withIdComunidadAutonoma(Long idComunidadAutonoma) {
		this.idComunidadAutonoma = idComunidadAutonoma;
		return this;
	}
	
	public String getLocalidad() {
		return localidad;
	}

	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	public Evento withLocalidad(String localidad) {
		this.localidad = localidad;
		return this;
	}
	
	public String getLocalidadGmaps() {
		return localidadGmaps;
	}

	public void setLocalidadGmaps(String localidadGmaps) {
		this.localidadGmaps = localidadGmaps;
	}

	public Evento withLocalidadGmaps(String localidadGmaps) {
		this.localidadGmaps = localidadGmaps;
		return this;
	}
	
	public String getUrlEvento() {
		return urlEvento;
	}

	public void setUrlEvento(String urlEvento) {
		this.urlEvento = urlEvento;
	}

	public Evento withUrlEvento(String urlEvento) {
		this.urlEvento = urlEvento;
		return this;
	}
	
	public Date getFecha() {
		return fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	
	public Evento withFecha(Date fecha) {
		this.fecha = fecha;
		return this;
	}

	public String getInfoExtra() {
		return infoExtra;
	}
	
	public void setInfoExtra(String infoExtra) {
		this.infoExtra = infoExtra;
	}
	
	public Evento withInfoExtra(String infoExtra) {
		this.infoExtra = infoExtra;
		return this;
	}

	public Date getFechaCreacion() {
		return fechaCreacion;
	}
	
	public void setFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
	}
	
	public Evento withFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
		return this;
	}
	
	public String getUrlCartel() {
		return urlCartel;
	}

	public void setUrlCartel(String urlCartel) {
		this.urlCartel = urlCartel;
	}

	public Evento withUrlCartel(String urlCartel) {
		this.urlCartel = urlCartel;
		return this;
	}
	
	public Long getPuntuacionPositiva() {
		return puntuacionPositiva;
	}

	public void setPuntuacionPositiva(Long puntuacionPositiva) {
		this.puntuacionPositiva = puntuacionPositiva;
	}

	public Evento withPuntuacionPositiva(Long puntuacionPositiva) {
		this.puntuacionPositiva = puntuacionPositiva;
		return this;
	}
	
	public Long getPuntuacionNegativa() {
		return puntuacionNegativa;
	}

	public void setPuntuacionNegativa(Long puntuacionNegativa) {
		this.puntuacionNegativa = puntuacionNegativa;
	}

	public Evento withPuntuacionNegativa(Long puntuacionNegativa) {
		this.puntuacionNegativa = puntuacionNegativa;
		return this;
	}

	@Override
	public String toString() {
		return "Track [id=" + id + ", titulo=" + titulo + ", idDisciplina=" + idDisciplina +", idModalidad=" + idModalidad + ", localidad=" + localidad + ", "
				+ ", idComunidadAutonoma=" + idComunidadAutonoma + ", " + "localidadGmaps=" + localidadGmaps + "urlEvento=" + urlEvento + 
				", fecha=" + fecha + ", infoExtra=" + infoExtra + ", fechaCreacion=" + fechaCreacion +
				", urlCartel=" + urlCartel + ", puntuacionPositiva=" + puntuacionPositiva + ", puntuacionNegativa=" + puntuacionNegativa +"]";
	}

}

