package org.diplomaUPV.app.rest.entity;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;


@XmlRootElement(name = "modalidad")
public class Modalidad implements Serializable {

	private static final long serialVersionUID = 1L;
	private Long id;
	private String descripcion;
	private String distancia;
	private Long idDisciplina;
	
	public Modalidad(Long id, String descripcion, String distancia, Long idDisciplina) {
		this.id = id;
		this.descripcion = descripcion;
		this.distancia = distancia;
		this.idDisciplina = idDisciplina;
	}
	
	public Modalidad() {}

	public Long getId() {
		return id;
	}
	
	public void setId(Long id) {
		this.id = id;
	}
	
	public Modalidad withId(Long id) {
		this.id = id;
		return this;
	}
	
	public String getDescripcion() {
		return descripcion;
	}
	
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	
	public Modalidad withDescripcion(String descripcion) {
		this.descripcion = descripcion;
		return this;
	}
	
	public String getDistancia() {
		return distancia;
	}
	
	public void setDistancia(String distancia) {
		this.distancia = distancia;
	}
	
	public Modalidad withDistancia(String distancia) {
		this.distancia = distancia;
		return this;
	}
	
	public Long getIdDisciplina() {
		return idDisciplina;
	}
	
	public void setIdDisciplina(Long idDisciplina) {
		this.idDisciplina = idDisciplina;
	}
	
	public Modalidad withIdDisciplina(Long idDisciplina) {
		this.idDisciplina = idDisciplina;
		return this;
	}
	
	@Override
	public String toString() {
		return "Track [id=" + id + ", descripcion=" + descripcion + ", distancia=" + distancia + ", idDisciplina=" + idDisciplina + "]";
	}
}
