package org.diplomaUPV.app.rest.service;

import java.util.Date;
import java.util.List;

import org.diplomaUPV.app.rest.entity.Evento;

public interface EventoRestService {

	List<Evento> getEventos();
	
	List<Evento> getEventosPorCarateristicas(Long id,
			String titulo,	
			Long idDisciplina,			
			Long idModalidad,
			String localidad,
			Long idComunidadAutonoma,
			String localidadGmaps,
			String urlEvento,
			Date fecha,
			String infoExtra,
			Date fechaCreacion,
			String urlCartel,
			Long puntuacionPositiva,
			Long puntuacionNegativa);
	
	void insertEvento(Evento evento);
	
	void updateEvento(Long id, Evento evento);
}
