package org.diplomaUPV.app.rest.entity;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;


@XmlRootElement(name = "comentario")
public class Comentario implements Serializable {

	private static final long serialVersionUID = 1L;
	private Long id;
	private Long idEvento;
	private Date fechaCreacion;
	private String textoComentario;
	private String usuario;
		
	public Long getId() {
		return id;
	}
	
	public void setId(Long id) {
		this.id = id;
	}
	
	public Comentario withId(Long id) {
		this.id = id;
		return this;
	}
	
	public Long getIdEvento() {
		return idEvento;
	}
	
	public void setIdEvento(Long idEvento) {
		this.idEvento = idEvento;
	}
	
	public Comentario withIdEvento(Long idEvento) {
		this.idEvento = idEvento;
		return this;
	}

	public Date getFechaCreacion() {
		return fechaCreacion;
	}

	public void setFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
	}
	
	public Comentario withFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
		return this;
	}

	public String getTextoComentario() {
		return textoComentario;
	}

	public void setTextoComentario(String textoComentario) {
		this.textoComentario = textoComentario;
	}
	
	public Comentario withTextoComentario(String textoComentario) {
		this.textoComentario = textoComentario;
		return this;
	}
	
	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	
	public Comentario withUsuario(String usuario) {
		this.usuario = usuario;
		return this;
	}

	@Override
	public String toString() {
		return "Track [id=" + id + ", idEvento=" + idEvento + ", fechaCreacion=" + fechaCreacion + 
				", textoComentario=" + textoComentario + "]";
	}
}
